Loading...
Searching...
No Matches
device_buffer_utils.h File Reference
`#include "HalideRuntime.h"`
`#include "device_interface.h"`
`#include "printer.h"`

Go to the source code of this file.

## Classes

struct | Halide::Runtime::Internal::device_copy

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal

## Macros

#define | MAX_COPY_DIMS 16

## Functions

WEAK void | Halide::Runtime::Internal::copy_memory_helper (const device_copy &copy, int d, int64_t src_off, int64_t dst_off)
WEAK void | Halide::Runtime::Internal::copy_memory (const device_copy &copy, void *user_context)
WEAK device_copy | Halide::Runtime::Internal::make_buffer_copy (const halide_buffer_t *src, bool src_host, const halide_buffer_t *dst, bool dst_host)
WEAK device_copy | Halide::Runtime::Internal::make_host_to_device_copy (const halide_buffer_t *buf)
WEAK device_copy | Halide::Runtime::Internal::make_device_to_host_copy (const halide_buffer_t *buf)
ALWAYS_INLINE int64_t | Halide::Runtime::Internal::calc_device_crop_byte_offset (const struct halide_buffer_t *src, struct halide_buffer_t *dst)
ALWAYS_INLINE int64_t | Halide::Runtime::Internal::calc_device_slice_byte_offset (const struct halide_buffer_t *src, int slice_dim, int slice_pos)

## Macro Definition Documentation

## MAX_COPY_DIMS

#define MAX_COPY_DIMS 16

Definition at line 32 of file device_buffer_utils.h.

Referenced by Halide::Runtime::Internal::copy_memory(), Halide::Runtime::Internal::copy_memory_helper(), and Halide::Runtime::Internal::make_buffer_copy().